#!/bin/bash
MODE=0
case $SPANK__SLURM_SPANK_OPTION_nvidia_spank_gpu_compute in
	exclusive-thread)
		MODE=1
		;;
	exclusive-process|exclusive)
		MODE=3
		;;
esac
if [ -n "$SPANK__SLURM_SPANK_OPTION_nvidia_spank_gpu_mps" ]; then
	MODE=3
fi
if [ -n "$SPANK__SLURM_SPANK_OPTION_nvidia_spank_gpu_accounting" ]; then
	ACCOUNTING=1
else
	ACCOUNTING=0
fi
for gpun in ${CUDA_VISIBLE_DEVICES//,/ }; do
	/usr/bin/nvidia-smi -i $gpun -c $MODE
	/usr/bin/nvidia-smi -i $gpun --accounting-mode=$ACCOUNTING
done
